oasis.names.tc.saml._2_0.assertion

## Enum DecisionType

- java.lang.Object
- - java.lang.Enum<DecisionType>
  - - oasis.names.tc.saml._2_0.assertion.DecisionType

- All Implemented Interfaces:
    Serializable, Comparable<DecisionType>

      public enum DecisionType
      extends Enum<DecisionType>

  Java class for DecisionType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="DecisionType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="Permit"/>
           <enumeration value="Deny"/>
           <enumeration value="Indeterminate"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DENY`
    `INDETERMINATE`
    `PERMIT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DecisionType` | `fromValue(String v)`
    `String` | `value()`
    `static DecisionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DecisionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERMIT

          public static final DecisionType PERMIT

    - #### DENY

          public static final DecisionType DENY

    - #### INDETERMINATE

          public static final DecisionType INDETERMINATE

  - ### Method Detail

    - #### values

          public static DecisionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecisionType c : DecisionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecisionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static DecisionType fromValue(String v)

Connector Packaging TECHNICAL 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.